require 'simplecov' if ENV['COVERAGE']

require 'minitest/autorun'
require 'minitest/unit'
require 'minitest/reporters'

require 'ostruct'
require 'pp'
require 'stringio'

require 'splot'

Minitest::Reporters.use! MiniTest::Reporters::DefaultReporter.new

class Minitest::Test
  private

  def mock_files_existing(*files)
    File.singleton_class.class_eval <<-CLASS_EVAL, __FILE__, __LINE__
    alias_method :size_orig?, :size?

    def size?(file)                      # def size?(file)
      #{files.inspect}.include?(file)    #   ["fileA", "my/fileB"].include?(file)
    end                                  # end
    CLASS_EVAL

    begin
      yield
    ensure
      File.singleton_class.class_eval <<-CLASS_EVAL, __FILE__, __LINE__
      alias_method :size?, :size_orig?
      undef :size_orig?
      CLASS_EVAL
    end
  end
end
